# Overview

This charm tracks and publishes reports that compare Ubuntu Cloud Archive
package versions for OpenStack. The charm generates an Nginx-based website
and publishes the reports to it. Reports can optionally be uploaded to swift.

There are two different version trackers:

* Base version tracker: Compares package versions from Ubuntu archives only.
* Upstream version tracker: Compares package versions from Ubuntu archives
  with the latest upstream versions.

Reports can optionally be uploaded to swift.

Reports are generated by server/cloud-archive/version-tracker/ from
https://launchpad.net/ubuntu-reports.

# Usage

juju deploy cs:~corey.bryant/uca-tracker

juju config uca-tracker base-tracker-releases='victoria ussuri train stein queens'

juju config uca-tracker upstream-tracker-releases='victoria ussuri train stein queens'

Once deployed, reports can be accessed at http://uca-tracker-IP-address.

Reports can optionally be uploaded to swift if an OpenStack client environment
script is available on the unit at /home/ubuntu/openrc.

juju scp openrc uca-tracker/0:/home/ubuntu/openrc

# Building

This is a layered charm. If you intend to make changes to the charm it must
first be built with the `charm build` command before it can be used.

# Notes

Reports for unsupported OpenStack will be generated but navigation links will
not get published. This is a feature of the underlying ubuntu-reports tool
that helps keep the navigation bar clean. Reports for unsupported releases
will have to be accessed directly.

i.e. http://uca-tracker-IP-address/pike_versions.html
